User avatar
By zparrish
#386920
Hello Next Limit,
I was doing some test development using the "MxGrassModifier" and for some reason, it won't export the grass object. I'm using Maxwell 3.1.1.0 with 3ds Max Design 2015 (17.0 SP3) and 3ds Max plugin version 3.1.8. When I try to render from 3ds Max, I get a Maxwell Translation Window pop-up that reads:

"Error: Cannot export parameters for Maxwell grass object Plane001. Skipped."

It's really easy to replicate. This happens on a fresh scene where the only object is an planar, Editable Poly with the Grass extension modifier. Very basic materials were applied and no customization was done to default lighting or cameras. I can setup the grass extension modifier just fine in Maxwell studio. However, I did notice a difference in the material parameters between Maxwell Studio and the 3ds Max plugin. The plugin only lets you select one material for the grass, whereas Maxwell Studio lets you select two different materials (one for "Material" and one for "Backface Material").

Is that possibly the source of the parameter error reported by the plugin?

To further complicate things, I have an older scene that uses the grass extension and for some reason, that scene exports and renders correctly.

Thanks in advance! Take care!
User avatar
By zparrish
#386988
I just wanted to follow up on this. I actually just finished re-installing my OS and applications as part of some maintenance. I'm now using Maxwell 3.1.1.0 with 3ds Max Design 2015 (17.0 SP3) and 3ds Max plugin version 3.1.9. The change log between plugin 3.1.8 and 3.1.9 doesn't indicate any difference with the MxGrassModifier, but the problem is now gone. I'm not sure if it was an issue with the plugin or an issue with my previous workstation configuration (most probable scenario). At any rate, it appears to work correctly now with the latest plugin.

Thanks!
User avatar
By Mihnea Balta
#386993
If I recall correctly, there's an incompatibility between Maxwell 3.1.1 and the SDK that was used to build older beta versions of the plug-in. This means that older plug-ins cannot load any 3.1.1 extensions, which affects the grass, volumetric object, scatter object etc. but the latest plug-in and latest Maxwell should always be in sync.
is Maxwell Render abandoned?

Hello there..... I´ve been out of this forum[…]

Maxwell licence on new computer

Thank you very much Nasok! This explanes a lot. I[…]

Bubbles in glass

Hi Márton My apologies for the delay reply[…]

Rhinoceros 6 support

Hello Nicola, OK, I will add the layer group expor[…]